#!/bin/sh
echo 'name: reactive
version: 0.11.5
id: reactive-0.11.5-7229175756c61d1225e8f2cb3fe64b3c

license: OtherLicense
copyright: (c) 2007-2009 by Conal Elliott
maintainer: conal@conal.net
stability: provisional
homepage: http://haskell.org/haskellwiki/reactive
package-url: http://code.haskell.org/reactive
description: /Reactive/ is a simple foundation for programming reactive systems
             functionally.  Like Fran\/FRP, it has a notions of (reactive) behaviors and
             events.  Unlike most previous FRP implementations, Reactive has a hybrid
             demand/data-driven implementation, as described in the paper \"Push-pull
             functional reactive programming\", <http://conal.net/papers/push-pull-frp/>.
             .
             This version of Reactive has some serious bugs that show up particularly
             with some uses of the Event monad.  Some problems have been due to bugs
             in the GHC run-time support for concurrency.  I do not know whether the
             remaining problems in Reactive are still more subtle RTS issues, or
             some subtle laziness bugs in Reactive.  Help probing the remaining
             difficulties is most welcome.
             .
             Import "FRP.Reactive" for FRP client apps.  To make a Reactive adapter for an
             imperative library, import "FRP.Reactive.LegacyAdapters".
             .
             Please see the project wiki page: <http://haskell.org/haskellwiki/reactive>
             .
             &#169; 2007-2009 by Conal Elliott; GNU AGPLv3 license (see COPYING).
             I am not thrilled with GPL, and I doubt I'\''ll stay with it for long.
             If you would like different terms, please talk to me.
             .
             With contributions from: Robin Green, Thomas Davie, Luke Palmer,
             David Sankel, Jules Bean, Creighton Hogg, Chuan-kai Lin, and Richard
             Smith.  Please let me know if I'\''ve forgotten to list you.
category: reactivity, FRP
author: Conal Elliott
exposed: True
exposed-modules: FRP.Reactive FRP.Reactive.Future
                 FRP.Reactive.PrimReactive FRP.Reactive.Reactive
                 FRP.Reactive.Behavior FRP.Reactive.Fun FRP.Reactive.Improving
                 FRP.Reactive.Num FRP.Reactive.VectorSpace
                 FRP.Reactive.Internal.Misc FRP.Reactive.Internal.Fun
                 FRP.Reactive.Internal.Future FRP.Reactive.Internal.Reactive
                 FRP.Reactive.Internal.Behavior FRP.Reactive.Internal.Clock
                 FRP.Reactive.Internal.Timing FRP.Reactive.Internal.Chan
                 FRP.Reactive.LegacyAdapters Data.AddBounds Data.Min Data.Max
                 Data.PairMonad FRP.Reactive.Internal.IVar
                 FRP.Reactive.Internal.Serial FRP.Reactive.Internal.TVal
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.3/cabal/reactive-0.11.5
library-dirs: /usr/local/lib/ghc-7.0.3/cabal/reactive-0.11.5
              /usr/local/lib
hs-libraries: HSreactive-0.11.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: QuickCheck-2.4.0.1-5898cfb0116fc1d6ecef04b3f053c323
         Stream-0.4.2-936ff8e62e562a81e2df259af99c5905
         TypeCompose-0.8.3-c908fdbf8c63e91b72a3f12d10a425fa
         base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         categories-0.58.0.5-d2d3aa3deff5a3999ffc7129e216fb43
         checkers-0.2.8-974b93925fac3812e6f7e6662d4d82bb
         comonad-1.1.1-b79e4cf1aaa56be9ca2e35691b2f9a4a
         old-time-1.0.0.6-37d6575186c36059fbc372c289dbddd4
         pointed-2.0-9225175ca6c1ba235c22a3289b6778e3
         random-1.0.0.3-57524486875e0c4c260dd22788921013
         semigroups-0.7.1-deb342a601060f02978392f99248f4b1
         unamb-0.2.4-ac3d189da94253ea374e04aaa83843d4
         vector-space-0.7.3-1283e63ba29be2fec96591cdf4ee8a41
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.3/cabal/reactive-0.11.5/html/reactive.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.3/cabal/reactive-0.11.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
